> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List user's devices

> Get all devices associated with the authenticated user's account.



## OpenAPI

````yaml /openapi.json get /api/v1/devices
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/devices:
    get:
      tags:
        - Devices
      summary: List user's devices
      description: Get all devices associated with the authenticated user's account.
      operationId: list_devices_api_v1_devices_get
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DeviceResponse'
                title: Response List Devices Api V1 Devices Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DeviceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        userId:
          type: string
          format: uuid
          title: Userid
        deviceId:
          type: string
          title: Deviceid
        deviceType:
          type: string
          title: Devicetype
        deviceName:
          anyOf:
            - type: string
            - type: 'null'
          title: Devicename
        notificationToken:
          anyOf:
            - type: string
            - type: 'null'
          title: Notificationtoken
        isActive:
          type: boolean
          title: Isactive
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - id
        - userId
        - deviceId
        - deviceType
        - deviceName
        - notificationToken
        - isActive
        - createdAt
      title: DeviceResponse
      description: Schema for device response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````